function setfrffreq(handles,problname)

% -------------------------------------------------------------------------
% 1D
% -------------------------------------------------------------------------
if strcmp(problname,'Laminated beam single crack (num)')
    frffile='';
    freqs=[151.49 432.58 1366.36 2649.02 4382.29];
% -------------------------------------------------------------------------
elseif strcmp(problname,'Laminated beam undamaged (exp)')
    frffile='single0';
    freqs=[228 668 1344 2295];
    set(handles.edit16,'String','1');
    set(handles.edit17,'String','8192');
elseif strcmp(problname,'Laminated beam single crack 1 (exp)')
    frffile='single1';
    freqs=[253 723 1435 2560];
    set(handles.edit16,'String','1');
    set(handles.edit17,'String','8192');
elseif strcmp(problname,'Laminated beam single crack 2 (exp)')
    frffile='single2';
    freqs=[236 700 1401 2513];
    set(handles.edit16,'String','1');
    set(handles.edit17,'String','8192');
% -------------------------------------------------------------------------
elseif strcmp(problname,'Laminated beam multiple cracks 1 (exp)')
    frffile='multi1';
    freqs=[252.5 742.5 1467.5];
    set(handles.edit16,'String','0.625');
    set(handles.edit17,'String','5120');
elseif strcmp(problname,'Laminated beam multiple cracks 2 (exp)')
    frffile='multi2';
    freqs=[237.5 708.125 1415];
    set(handles.edit16,'String','0.625');
    set(handles.edit17,'String','5120');
elseif strcmp(problname,'Laminated beam multiple cracks 3 (exp)')
    frffile='multi3';
    freqs=[232.5 656.25 1346.25];
    set(handles.edit16,'String','0.625');
    set(handles.edit17,'String','5120');
% -------------------------------------------------------------------------
elseif strcmp(problname,'Beam large delam. 1-2 (num)')
    frffile='';
    freqs=[202.7 1406.8 3609.62 5936.2 7271.3];
elseif strcmp(problname,'Beam large delam. 2-3 (num)')
    frffile='';
    freqs=[200.79 1031.13 3787.51 5888.68 7236.84];
elseif strcmp(problname,'Beam large delam. 3-4 (num)')
    frffile='';
    freqs=[175.03 918.88 2444.85 4396.81 5470.32];
elseif strcmp(problname,'Beam large delam. 4-5 (num)')
    frffile='';
    freqs=[187.22 942.39 3575.6 5355.31 7294.71];
elseif strcmp(problname,'Beam large delam. 5-6 (num)')
    frffile='';
    freqs=[173.9 894.63 3409.29 5146.5 6967.09];
elseif strcmp(problname,'Beam large delam. 6-7 (num)')
    frffile='';
    freqs=[173.63 895.72 3473.86 5086.62 6942.97];
elseif strcmp(problname,'Beam large delam. 7-8 (num)')
    frffile='';
    freqs=[174.61 902.87 3488.94 5202.41 7016.63];
elseif strcmp(problname,'Beam large delam. 8-9 (num)')
    frffile='';
    freqs=[185.36 939.81 3490.99 5343 7282.25];
elseif strcmp(problname,'Beam large delam. 9-10 (num)')
    frffile='';
    freqs=[201.59 1003.02 3399.69 5489.09 7265.09];
elseif strcmp(problname,'Beam large delam. 10-11 (num)')
    frffile='';
    freqs=[209.14 1049.31 3626.11 5692.81 7281.88];
elseif strcmp(problname,'Beam large delam. 11-12 (num)')
    frffile='';
    freqs=[204.2 1058.64 3734.05 5903.59 7259.98];
% -------------------------------------------------------------------------
elseif strcmp(problname,'Beam small delam. 1-2 (num)')
    frffile='';
    freqs=[135.95 731.86 2259.68 4131.36 4418.79];
elseif strcmp(problname,'Beam small delam. 2-3 (num)')
    frffile='';
    freqs=[135.99 731.53 2259.49 4125.66 4418.78];
elseif strcmp(problname,'Beam small delam. 3-4 (num)')
    frffile='';
    freqs=[129.46 810 2262.69 4118.62 4418.79];
elseif strcmp(problname,'Beam small delam. 4-5 (num)')
    frffile='';
    freqs=[129.46 810.05 2262.69 4111.65 4418.79];
elseif strcmp(problname,'Beam small delam. 5-6 (num)')
    frffile='';
    freqs=[129.46 810.05 2262.69 4106.31 4418.79];
elseif strcmp(problname,'Beam small delam. 6-7 (num)')
    frffile='';
    freqs=[135.86 731.37 2259.62 4104.28 4418.8];
elseif strcmp(problname,'Beam small delam. 7-8 (num)')
    frffile='';
    freqs=[129.46 810.05 2262.69 4106.28 4418.79];
elseif strcmp(problname,'Beam small delam. 8-9 (num)')
    frffile='';
    freqs=[129.46 810.05 2262.69 4111.62 4418.79];
elseif strcmp(problname,'Beam small delam. 9-10 (num)')
    frffile='';
    freqs=[129.46 810.05 2262.69 4118.45 4418.79];
elseif strcmp(problname,'Beam small delam. 10-11 (num)')
    frffile='';
    freqs=[129.46 810.05 2262.69 4125.68 4418.8];
elseif strcmp(problname,'Beam small delam. 11-12 (num)')
    frffile='';
    freqs=[129.46 810.05 2262.69 4131.42 4418.8];
% -------------------------------------------------------------------------
elseif strcmp(problname,'Beam large lim. delam. 1-2 (num)')
    frffile='';
    freqs=[129.46 810.05 2262.69 4131.09 4418.79];
elseif strcmp(problname,'Beam large lim. delam. 2-3 (num)')
    frffile='';
    freqs=[129.46 810.05 2262.68 4123.4 4418.78];
elseif strcmp(problname,'Beam large lim. delam. 3-4 (num)')
    frffile='';
    freqs=[129.46 810.04 2262.68 4114.22 4418.77];
elseif strcmp(problname,'Beam large lim. delam. 4-5 (num)')
    frffile='';
    freqs=[129.46 810.04 2262.68 4105.89 4418.77];
elseif strcmp(problname,'Beam large lim. delam. 5-6 (num)')
    frffile='';
    freqs=[129.46 810.04 2262.68 4100.15 4418.77];
elseif strcmp(problname,'Beam large lim. delam. 6-7 (num)')
    frffile='';
    freqs=[129.46 810.05 2262.69 4098.11 4418.81];
elseif strcmp(problname,'Beam large lim. delam. 7-8 (num)')
    frffile='';
    freqs=[129.46 810.04 2262.68 4100.15 4418.77];
elseif strcmp(problname,'Beam large lim. delam. 8-9 (num)')
    frffile='';
    freqs=[129.46 810.04 2262.68 4105.89 4418.77];
elseif strcmp(problname,'Beam large lim. delam. 9-10 (num)')
    frffile='';
    freqs=[129.46 810.04 2262.68 4114.23 4418.77];
elseif strcmp(problname,'Beam large lim. delam. 10-11 (num)')
    frffile='';
    freqs=[129.46 810.05 2262.68 4123.4 4418.78];
elseif strcmp(problname,'Beam large lim. delam. 11-12 (num)')
    frffile='';
    freqs=[129.46 810.05 2262.69 4131.09 4418.79];
% -------------------------------------------------------------------------
elseif strcmp(problname,'Beam small lim. delam. 1-2 (num)')
    frffile='';
    freqs=[104.26 810.12 2262.7 4133.78 4418.8];
elseif strcmp(problname,'Beam small lim. delam. 2-3 (num)')
    frffile='';
    freqs=[129.46 810.05 2262.69 4131.84 4418.8];
elseif strcmp(problname,'Beam small lim. delam. 3-4 (num)')
    frffile='';
    freqs=[129.46 810.05 2262.69 4129.51 4418.8];
elseif strcmp(problname,'Beam small lim. delam. 4-5 (num)')
    frffile='';
    freqs=[129.46 810.05 2262.69 4127.33 4418.79];
elseif strcmp(problname,'Beam small lim. delam. 5-6 (num)')
    frffile='';
    freqs=[129.46 810.05 2262.69 4125.8 4418.8];
elseif strcmp(problname,'Beam small lim. delam. 6-7 (num)')
    frffile='';
    freqs=[129.46 810.05 2262.69 4125.25 4418.81];
elseif strcmp(problname,'Beam small lim. delam. 7-8 (num)')
    frffile='';
    freqs=[129.46 810.05 2262.69 4125.8 4418.79];
elseif strcmp(problname,'Beam small lim. delam. 8-9 (num)')
    frffile='';
    freqs=[129.46 810.05 2262.69 4127.34 4418.79];
elseif strcmp(problname,'Beam small lim. delam. 9-10 (num)')
    frffile='';
    freqs=[129.46 810.05 2262.69 4129.51 4418.8];
elseif strcmp(problname,'Beam small lim. delam. 10-11 (num)')
    frffile='';
    freqs=[129.46 810.05 2262.69 4131.85 4418.8];
elseif strcmp(problname,'Beam small lim. delam. 11-12 (num)')
    frffile='';
    freqs=[129.46 810.05 2262.69 4133.78 4418.8];
% -------------------------------------------------------------------------
% 2D
% -------------------------------------------------------------------------
elseif strcmp(problname,'Through-the-width crack (num)')
    frffile='';
    freqs=[192.68 375.39 620.35 814.1 923.54];
elseif strcmp(problname,'Spatial damage (num)')
    frffile='';
    freqs=[197.31 435.77 790.78 849.2 1193.89];
elseif strcmp(problname,'Multiple damages (num)')
    frffile='';
    freqs=[105.69 402.16 703.66 822.35 1171.27];
% -------------------------------------------------------------------------
elseif strcmp(problname,'Through-the-width crack (exp)')
    frffile='cracke';
    freqs=[213 807 1263 1433 1828];
    set(handles.edit16,'String','1');
    set(handles.edit17,'String','8192');
elseif strcmp(problname,'Spatial damage (exp)')
    frffile='windowe';
    freqs=[214 815 1202 1442 1818];
    set(handles.edit16,'String','1');
    set(handles.edit17,'String','8192');
elseif strcmp(problname,'Multiple damages (exp)')
    frffile='damag3e';
    freqs=[202 781 1220 1433 1849];
    set(handles.edit16,'String','1');
    set(handles.edit17,'String','8192');
% -------------------------------------------------------------------------
elseif strcmp(problname,'Laminate impact damage: A 20J (exp)')
    frffile='impA20';
    freqs=[182.5 688.75 1070 1405];
    set(handles.edit16,'String','1.25');
    set(handles.edit17,'String','5120');
elseif strcmp(problname,'Laminate impact damage: A 30J (exp)')
    frffile='impA30';
    freqs=[186.25 687.5 723.75 1062.5 1392.5];
    set(handles.edit16,'String','1.25');
    set(handles.edit17,'String','5120');
elseif strcmp(problname,'Laminate impact damage: A 40J (exp)')
    frffile='imaA40';
    freqs=[187.5 693.75 727.5 1398.75];
    set(handles.edit16,'String','1.25');
    set(handles.edit17,'String','5120');
elseif strcmp(problname,'Laminate impact damage: B 20J (exp)')
    frffile='impB20';
    freqs=[191.25 707.5 728.75 1065 1400];
    set(handles.edit16,'String','1.25');
    set(handles.edit17,'String','5120');
elseif strcmp(problname,'Laminate impact damage: B 30J (exp)')
    frffile='impB30';
    freqs=[211.25 797.5 1107.5 1416.25];
    set(handles.edit16,'String','1.25');
    set(handles.edit17,'String','5120');
elseif strcmp(problname,'Laminate impact damage: B 40J (exp)')
    frffile='impB40';
    freqs=[207.5 785 1088.75 1407.5];
    set(handles.edit16,'String','1.25');
    set(handles.edit17,'String','5120');
elseif strcmp(problname,'Laminate impact damage: C 20J (exp)')
    frffile='impC20';
    freqs=[196.25 693.75 790 1082.5 1402.5];
    set(handles.edit16,'String','1.25');
    set(handles.edit17,'String','5120');
elseif strcmp(problname,'Laminate impact damage: C 30J (exp)')
    frffile='impC30';
    freqs=[210 420 750 793.75 1081.25 1405];
    set(handles.edit16,'String','1.25');
    set(handles.edit17,'String','5120');
elseif strcmp(problname,'Laminate impact damage: C 40J (exp)')
    frffile='impC40';
    freqs=[207.5 778.75 1092.5 1407.5];
    set(handles.edit16,'String','1.25');
    set(handles.edit17,'String','5120');
elseif strcmp(problname,'Laminate impact damage: D 20J (exp)')
    frffile='impD20';
    freqs=[207.5 796.25 1100 1420];
    set(handles.edit16,'String','1.25');
    set(handles.edit17,'String','5120');
elseif strcmp(problname,'Laminate impact damage: D 30J (exp)')
    frffile='impD30';
    freqs=[203.75 732.5 791.25 826.25 1080 1405];
    set(handles.edit16,'String','1.25');
    set(handles.edit17,'String','5120');
elseif strcmp(problname,'Laminate impact damage: D 40J (exp)')
    frffile='impD40';
    freqs=[192.5 700 768.75 1078.75 1400];
    set(handles.edit16,'String','1.25');
    set(handles.edit17,'String','5120');
elseif strcmp(problname,'Laminate impact damage: E 10J (exp)')
    frffile='impE10';
    freqs=[208.75 753.75 796.25 935 1086.25 1410];
    set(handles.edit16,'String','1.25');
    set(handles.edit17,'String','5120');
elseif strcmp(problname,'Laminate impact damage: E 20J (exp)')
    frffile='impE20';
    freqs=[198.75 717.5 767.5 1092.5 1416.25];
    set(handles.edit16,'String','1.25');
    set(handles.edit17,'String','5120');
elseif strcmp(problname,'Laminate impact damage: E 30J (exp)')
    frffile='impE30';
    freqs=[213.75 428.75 768.75 815 863.75 1111.25 1420];
    set(handles.edit16,'String','1.25');
    set(handles.edit17,'String','5120');
elseif strcmp(problname,'Laminate impact damage: E 40J (exp)')
    frffile='impE40';
    freqs=[218.75 436.25 768.75 816.25 877.5 1107.5 1372.5 1412.5];
    set(handles.edit16,'String','1.25');
    set(handles.edit17,'String','5120');
elseif strcmp(problname,'Laminate impact damage: H 10J (exp)')
    frffile='impH10';
    freqs=[212.5 802.5 1101.25 1412.5];
    set(handles.edit16,'String','1.25');
    set(handles.edit17,'String','5120');
elseif strcmp(problname,'Laminate impact damage: H 20J (exp)')
    frffile='impH20';
    freqs=[197.5 713.75 767.5 937.5 1012.5 1103.75 1188.75 1367.5 1422.5];
    set(handles.edit16,'String','1.25');
    set(handles.edit17,'String','5120');
elseif strcmp(problname,'Laminate impact damage: H 30J (exp)')
    frffile='impH30';
    freqs=[216.25 785 812.5 1106.25 1416.25];
    set(handles.edit16,'String','1.25');
    set(handles.edit17,'String','5120');
elseif strcmp(problname,'Laminate impact damage: H 40J (exp)')
    frffile='impH40';
    freqs=[201.25 775 1090 1408.75];
    set(handles.edit16,'String','1.25');
    set(handles.edit17,'String','5120');
elseif strcmp(problname,'Laminate impact damage: I 10J (exp)')
    frffile='impI10';
    freqs=[205 721.25 802.5 837.5 1086.25 1405];
    set(handles.edit16,'String','1.25');
    set(handles.edit17,'String','5120');
elseif strcmp(problname,'Laminate impact damage: I 20J (exp)')
    frffile='impI20';
    freqs=[193.75 712.5 762.5 940 1023.75 1095 1425];
    set(handles.edit16,'String','1.25');
    set(handles.edit17,'String','5120');
elseif strcmp(problname,'Laminate impact damage: I 30J (exp)')
    frffile='impI30';
    freqs=[207.5 768.75 783.75 1088.75 1410];
    set(handles.edit16,'String','1.25');
    set(handles.edit17,'String','5120');
elseif strcmp(problname,'Laminate impact damage: I 40J (exp)')
    frffile='impI40';
    freqs=[205 778.75 1082.5 1405];
    set(handles.edit16,'String','1.25');
    set(handles.edit17,'String','5120');
elseif strcmp(problname,'Laminate impact damage: K 5J (exp)')
    frffile='impK5';
    freqs=[150 528 549 1070 1222 1264 1335 1416];
    set(handles.edit16,'String','1');
    set(handles.edit17,'String','8192');
elseif strcmp(problname,'Laminate impact damage: K 10J (exp)')
    frffile='impK10';
    freqs=[154 305 539 1071 1245 1283 1335 1420];
    set(handles.edit16,'String','1');
    set(handles.edit17,'String','8192');
elseif strcmp(problname,'Laminate impact damage: K 15J (exp)')
    frffile='impK15';
    freqs=[160 543 1071 1233 1274 1325 1355 1424];
    set(handles.edit16,'String','1');
    set(handles.edit17,'String','8192');
elseif strcmp(problname,'Laminate impact damage: K 20J (exp)')
    frffile='impK20';
    freqs=[149 573 1070 1272 1417];
    set(handles.edit16,'String','1');
    set(handles.edit17,'String','8192');
elseif strcmp(problname,'Laminate impact damage: K 25J (exp)')
    frffile='impK25';
    freqs=[151 532 1068 1257 1411];
    set(handles.edit16,'String','1');
    set(handles.edit17,'String','8192');
elseif strcmp(problname,'Laminate impact damage: K 30J (exp)')
    frffile='impK30';
    freqs=[162 548 1069 1272 1415];
    set(handles.edit16,'String','1');
    set(handles.edit17,'String','8192');
elseif strcmp(problname,'Laminate impact damage: K 35J (exp)')
    frffile='impK35';
    freqs=[159 522 1084 1211 1373 1432];
    set(handles.edit16,'String','1');
    set(handles.edit17,'String','8192');
elseif strcmp(problname,'Laminate impact damage: K 40J (exp)')
    frffile='impK40';
    freqs=[178 545 1101 1272 1412 1499];
    set(handles.edit16,'String','1');
    set(handles.edit17,'String','8192');
elseif strcmp(problname,'Laminate impact damage: L 25J (exp)')
    frffile='impL25';
    freqs=[150 544 1288 1419];
    set(handles.edit16,'String','1');
    set(handles.edit17,'String','8192');
elseif strcmp(problname,'Laminate impact damage: L 30J (exp)')
    frffile='impL30';
    freqs=[156 533 571 1084 1250 1297 1367 1435];
    set(handles.edit16,'String','1');
    set(handles.edit17,'String','8192');
elseif strcmp(problname,'Laminate impact damage: L 35J (exp)')
    frffile='impL35';
    freqs=[197 590 1143 1335 1436 1562];
    set(handles.edit16,'String','1');
    set(handles.edit17,'String','8192');
elseif strcmp(problname,'Laminate impact damage: L 40J (exp)')
    frffile='impL40';
    freqs=[173 515 1086 1397 1445 1493];
    set(handles.edit16,'String','1');
    set(handles.edit17,'String','8192');
elseif strcmp(problname,'Laminate impact damage: M 5J (exp)')
    frffile='impM5';
    freqs=[181 1360 1429 1489 1554];
    set(handles.edit16,'String','1');
    set(handles.edit17,'String','8192');
elseif strcmp(problname,'Laminate impact damage: M 10J (exp)')
    frffile='impM10';
    freqs=[152 538 1063 1237 1285 1398 1420];
    set(handles.edit16,'String','1');
    set(handles.edit17,'String','8192');
elseif strcmp(problname,'Laminate impact damage: M 15J (exp)')
    frffile='impM15';
    freqs=[168 552 1081 1262 1305 1389 1447];
    set(handles.edit16,'String','1');
    set(handles.edit17,'String','8192');
elseif strcmp(problname,'Laminate impact damage: M 20J (exp)')
    frffile='impM20';
    freqs=[170 591 945 1095 1297 1343 1389 1444];
    set(handles.edit16,'String','1');
    set(handles.edit17,'String','8192');
elseif strcmp(problname,'Laminate impact damage: M 25J (exp)')
    frffile='impM25';
    freqs=[151 530 554 1071 1238 1285 1322 1417];
    set(handles.edit16,'String','1');
    set(handles.edit17,'String','8192');
elseif strcmp(problname,'Laminate impact damage: M 30J (exp)')
    frffile='impM30';
    freqs=[158 317 545 582 1081 1277 1319 1359 1430];
    set(handles.edit16,'String','1');
    set(handles.edit17,'String','8192');
elseif strcmp(problname,'Laminate impact damage: M 35J (exp)')
    frffile='impM35';
    freqs=[158 539 572 1247 1298 1355 1423];
    set(handles.edit16,'String','1');
    set(handles.edit17,'String','8192');
elseif strcmp(problname,'Laminate impact damage: M 40J (exp)')
    frffile='impM40';
    freqs=[174 557 1093 1277 1404 1521];
    set(handles.edit16,'String','1');
    set(handles.edit17,'String','8192');
% -------------------------------------------------------------------------
elseif strcmp(problname,'Laminate internal void 1 (num)')
    frffile='';
    freqs=[125.53 434.85 811.41 1187.6];
elseif strcmp(problname,'Laminate internal void 2 (num)')
    frffile='';
    freqs=[125.78 436.28 812.72 1187.88];
elseif strcmp(problname,'Laminate internal void 3 (num)')
    frffile='';
    freqs=[125.78 436.27 812.8 1187.86];
elseif strcmp(problname,'Laminate internal void 4 (num)')
    frffile='';
    freqs=[125.52 434.68 812.72 1187.64];
elseif strcmp(problname,'Laminate internal void 5 (num)')
    frffile='';
    freqs=[125.55 434.92 810.24 1187.73];
elseif strcmp(problname,'Laminate internal void 6 (num)')
    frffile='';
    freqs=[125.91 437 813.46 1188.33];
elseif strcmp(problname,'Laminate internal void 7 (num)')
    frffile='';
    freqs=[125.53 434.65 812.63 1188.27];
% -------------------------------------------------------------------------
elseif strcmp(problname,'Partial local lack of core (exp)')
    frffile='Sand1';
    freqs=[326 932 1075 1326 1405];
    set(handles.edit16,'String','1.25');
    set(handles.edit17,'String','5120');
elseif strcmp(problname,'Local lack of core 1 (exp)')
    frffile='Sand2';
    freqs=[343.75 1073.75 1348.75 1407.5];
    set(handles.edit16,'String','1.25');
    set(handles.edit17,'String','5120');
elseif strcmp(problname,'Local lack of core 2 (exp)')
    frffile='Sand22';
    freqs=[350 1073.75 1355 1427.5];
    set(handles.edit16,'String','1.25');
    set(handles.edit17,'String','5120');
elseif strcmp(problname,'Crack of core 1 (exp)')
    frffile='Sand3';
    freqs=[355 1070 1405];
    set(handles.edit16,'String','1.25');
    set(handles.edit17,'String','5120');
elseif strcmp(problname,'Crack of core 2 (exp)')
    frffile='Sand4';
    freqs=[355 1070 1402.5];
    set(handles.edit16,'String','1.25');
    set(handles.edit17,'String','5120');
elseif strcmp(problname,'Through-the-width crack of core (exp)')
    frffile='Sand5';
    freqs=[355 1068.75 1410];
    set(handles.edit16,'String','1.25');
    set(handles.edit17,'String','5120');
elseif strcmp(problname,'Debonding core-face sheet (exp)')
    frffile='Sand6';
    freqs=[335 1075 1331.25 1410];
    set(handles.edit16,'String','1.25');
    set(handles.edit17,'String','5120');
elseif strcmp(problname,'Sandwich impact damage: A 10J (exp)')
    frffile='SandA10';
    freqs=[347.5 1068.75 1406.25];
    set(handles.edit16,'String','1.25');
    set(handles.edit17,'String','5120');
elseif strcmp(problname,'Sandwich impact damage: A 15J (exp)')
    frffile='SandA15';
    freqs=[350 1070 1400];
    set(handles.edit16,'String','1.25');
    set(handles.edit17,'String','5120');
elseif strcmp(problname,'Sandwich impact damage: A 20J (exp)')
    frffile='SandA20';
    freqs=[348.75 1068.75 1403.75];
    set(handles.edit16,'String','1.25');
    set(handles.edit17,'String','5120');
elseif strcmp(problname,'Sandwich impact damage: A 25J (exp)')
    frffile='SandA25';
    freqs=[348.75 1067.5 1408.75];
    set(handles.edit16,'String','1.25');
    set(handles.edit17,'String','5120');
elseif strcmp(problname,'Sandwich impact damage: B 5J (exp)')
    frffile='SandB5';
    freqs=[348.75 1068.75 1407.5];
    set(handles.edit16,'String','1.25');
    set(handles.edit17,'String','5120');
elseif strcmp(problname,'Sandwich impact damage: B 7.5J (exp)')
    frffile='SandB75';
    freqs=[351.25 1068.75 1407.5];
    set(handles.edit16,'String','1.25');
    set(handles.edit17,'String','5120');
elseif strcmp(problname,'Sandwich impact damage: B 10J (exp)')
    frffile='SandB10';
    freqs=[351.25 1070 1410];
    set(handles.edit16,'String','1.25');
    set(handles.edit17,'String','5120');
elseif strcmp(problname,'Sandwich impact damage: B 15J (exp)')
    frffile='SandB15';
    freqs=[345 1068.75 1405];
    set(handles.edit16,'String','1.25');
    set(handles.edit17,'String','5120');
elseif strcmp(problname,'Sandwich impact damage: C 5J (exp)')
    frffile='SandC5';
    freqs=[347.5 1068.75 1402.5];
    set(handles.edit16,'String','1.25');
    set(handles.edit17,'String','5120');
elseif strcmp(problname,'Sandwich impact damage: C 7.5J (exp)')
    frffile='SandC75';
    freqs=[346.25 1067.5 1255 1407.5];
    set(handles.edit16,'String','1.25');
    set(handles.edit17,'String','5120');
elseif strcmp(problname,'Sandwich impact damage: C 10J (exp)')
    frffile='SandC10';
    freqs=[348.75 1068.75 1267.5 1400];
    set(handles.edit16,'String','1.25');
    set(handles.edit17,'String','5120');
elseif strcmp(problname,'Sandwich impact damage: D 5J (exp)')
    frffile='SandD5';
    freqs=[348.75 1070 1405];
    set(handles.edit16,'String','1.25');
    set(handles.edit17,'String','5120');
elseif strcmp(problname,'Sandwich impact damage: D 7.5J (exp)')
    frffile='SandD75';
    freqs=[345 1067.5 1255 1402.5];
    set(handles.edit16,'String','1.25');
    set(handles.edit17,'String','5120');
elseif strcmp(problname,'Sandwich impact damage: D 10J (exp)')
    frffile='SandD10';
    freqs=[350 1070 1410];
    set(handles.edit16,'String','1.25');
    set(handles.edit17,'String','5120');
elseif strcmp(problname,'Sandwich impact damage: E 5J (exp)')
    frffile='SandE5';
    freqs=[347.5 1070 1248.75 1410];
    set(handles.edit16,'String','1.25');
    set(handles.edit17,'String','5120');
elseif strcmp(problname,'Sandwich impact damage: E 7.5J (exp)')
    frffile='SandE75';
    freqs=[351.25 1070 1410];
    set(handles.edit16,'String','1.25');
    set(handles.edit17,'String','5120');
elseif strcmp(problname,'Sandwich impact damage: E 10J (exp)')
    frffile='SandE10';
    freqs=[346.25 1067.5 1407.5];
    set(handles.edit16,'String','1.25');
    set(handles.edit17,'String','5120');
% -------------------------------------------------------------------------
elseif strcmp(problname,'Rotor blade: longitudinal crack (num)')
    frffile='';
    freqs=[86.12 208.28 271.74 553.78 639.35];
elseif strcmp(problname,'Rotor blade: transversal crack (num)')
    frffile='';
    freqs=[84.32 201.88 288.01 536.22 645.22];
% -------------------------------------------------------------------------
elseif strcmp(problname,'Circular plate: surface damage 1 (num)')
    frffile='';
    freqs=[363.52 3944.58 7086.24 10762.4];
elseif strcmp(problname,'Circular plate: surface damage 2 (num)')
    frffile='';
    freqs=[363.53 3940.19 7091.01 10753.6];
elseif strcmp(problname,'Circular plate: delamination (num)')
    frffile='';
    freqs=[363.44 3944.17 7081.77 10756.4];
elseif strcmp(problname,'Circular plate: internal void (num)')
    frffile='';
    freqs=[363.67 3944.55 7089.59 10745.5];
% -------------------------------------------------------------------------
elseif strcmp(problname,'Circular plate: stiff inclusion (exp)')
    frffile='circ';
    freqs=[34.37 73.44 124.22 173.44 224.22 306.25 400.78 425 489.84 640.62 727.34 925.78 1078.91];
    set(handles.edit16,'String','0.78125');
    set(handles.edit17,'String','3200');
% -------------------------------------------------------------------------
elseif strcmp(problname,'Al-GFRP-Al struct. impacts (exp)')
    frffile='mi';
    freqs=[186 271 305 444 466 516 844 1027 1087 1330];
    set(handles.edit16,'String','1');
    set(handles.edit17,'String','4096');
elseif strcmp(problname,'GFRP struct. impacts (exp)')
    frffile='li';
    freqs=[109 250 332 365 390 602 847 945 976 1025];
    set(handles.edit16,'String','1');
    set(handles.edit17,'String','4096');
elseif strcmp(problname,'CFRP stabilizer delaminations (exp)')
    frffile='pp';
    freqs=[174 190 268 348 447 551 654 821 911 1142 1249 1320 1405];
    set(handles.edit16,'String','1');
    set(handles.edit17,'String','4096');
end
% -------------------------------------------------------------------------
% -------------------------------------------------------------------------
if ~isempty(frffile)
    pathstr=['../frf/frf_' frffile]; load(pathstr);
    eval(['plot(frf_' frffile '(:,1),frf_' frffile '(:,2));']);
    eval(['Xmax=max(frf_' frffile '(:,1));']);
    eval(['Ymax=max(frf_' frffile '(:,2));']);
    eval(['set(handles.axes1,''XLim'',[0,' num2str(Xmax) '])']);
    eval(['set(handles.axes1,''YLim'',[0,' num2str(Ymax) '])']);
    xlabel('Frequency (Hz)');
    ylabel('Vibration velocity magnitude (m)');
    hold on;
    for i=1:length(freqs)
        line([freqs(i) freqs(i)],get(handles.axes1,'YLim'),'Color','red');
        vv=['handles.edit' num2str(i+1)];
        freqstr=num2str(freqs(i));
        eval(['set(' vv ',''String'',' freqstr ')']);
    end
    hold off;
else
    load '..\pict\nofrf';
    image(nofrf); axis off; axis image;
    for i=1:length(freqs)
        vv=['handles.edit' num2str(i+1)];
        freqstr=num2str(freqs(i));
        eval(['set(' vv ',''String'',' freqstr ')']);
    end
end